Bug 64203 - Port upgrade: textproc/kdiff3 to 0.9.83
Summary: Port upgrade: textproc/kdiff3 to 0.9.83
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-13 09:20 UTC by Heiner
Modified: 2004-03-19 08:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2004-03-13 09:20:15 UTC
Version 0.9.83 - 2004/03/06
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
=2D Reading directorys fixed for Win95/98
=2D Caseinsensitive filename matching for windows.
=2D Autocopy to selection for systems that support this. (Patch by Stefan=20
Partheymueller)
=2D Drawing during recalc suppressed in merge result editor.
=2D Cursor could go beyond last line in merge result editor. (Corrected=20
NrOfLine-counting.)
=2D Windows: Start with invalid cmd-line-options brings up a messagebox wit=
h the=20
list of options.
=2D Corrected encoding when copying to or pasting from clipboard.
=2D Corrected char-by-char-diff at beginning of line. ("012345 12345 xyz" <=
=2D>=20
"012345 xyz")
=2D Warning when merging with preprocessor or upcase-conversion enabled.
=2D Rewrite of preprocessing code should fix several problems. E.g.:
  - Ignore C/C++-comments only worked with a preprocessor active.
  - Preprocessor output now is input of line-matching preprocessor.
  - Paste to diff-window, didn't work if LMPP or Ignore C/C++-Comments was=
=20
set.

Version 0.9.82 - 2004/02/02
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
=2D DirectoryMerge: Running merge op for last item in a folder, performed t=
he
  merge op for all following items in following folders. (Possible data los=
s!)
=2D Fix: Preprocessors and "Ignore Comments" didn't work at the same time.
=2D Fix: Preprocessors crashed with remote files.
=2D Open-Dialog: When either input is changed, then reset the output to be=
=20
empty.
  (To avoid accidental overwrites.)
=2D Icon for "Highlight white space differences."
=2D Editor-Option: Line End Style for saving: Dos/Windows "\r\n" vs. Unix "=
\n"
=2D Merge output editor: Corrected wrong encoding for output-filename and
  user-typed characters.
=2D Speedup for reading directories under Windows.
=2D Enhanced progress dialog responsiveness during local file copy.
=2D Fix for non-KDE-version: No URL-encoding when dropping files in open di=
alog.


Version 0.9.81 - 2004/01/08
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
=2D Allow to compile with --enable-final
=2D Bugfix for 3 file-compare (and A or B don't exist, crashed)
=2D Bugfix for crash when second directory is merged
=2D Some keyboard-shortcuts for selection of merge-operation didn't work=20
correctly.
=2D Shortcuts Ctrl-1/2/3 are possible in textmergewindow and in dirmergewin=
dow,
  depending on the focus.
=2D First steps towards internationalisation
=2D Manpage doc/en/kdiff3.1 by Eike Sauer (for Debian)
=2D Directory rescan shortcut SHIFT-F5


Version 0.9.80 - 2003/12/08
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
New Text Diff/Merge Features:
=2D Now using GNU-diff algorithms internally. (Option "External Diff" remov=
ed.)
=2D Option for treating C/C++ comments as whitespace during diff.
=2D Bugfix for locale character encoding (+ new option "Use string encoding=
")
=2D Option for suppressing highlighting in white-space changes.
  (Also suppresses highlighting in comments and numbers when the
  respective options are active.)
=2D Merge-menu: Choose A/B/C for all unsolved conflicts.
              Choose A/B/C for all unsolved whitespace conflicts.
=2D Options to automatically choose a certain source for whitespace conflic=
ts.
=2D Shorcut F5 now used to reload the current file.

New Directory-Comparison/Merge Features:
=2D Option to trust filesize. (Some directory services don't copy the date/=
time=20
correctly.)
=2D Shortcut F7 now starts complete directory merge (previously F5).
=2D Do the selected merge operation for the selected file/dir via
  "Run Operation For Current Item" (F6).
=2D Shortcuts for selecting the merge operation for the selected item.
  Ctrl-1/2/3/4/Del selects A/B/C/Merge/Delete respectively.

Other Improvements:
=2D Several i18n-corrections (by Stephan Binner)
=2D Bugfix for option CVS-ignore: Didn't work correctly in subdirectories.
=2D Bugfix for remote operations: Operation can now be aborted, when KIO-sl=
aves=20
doesn't respond.
=2D Cancel-Button in progress bar.
=2D Default diff-view now again side by side instead of one above the other.


Version 0.9.71 - 2003/10/17
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
=2D Windows-Installer by Sebastien Fricker.
=2D Bugfixes for Windows. (Problems with setFont() in paintEvent().)
=2D Default font for Windows now "Courier New" (instead of Courier)
=2D Fix for compilation with gcc 2.95
=2D Support for Ctrl-Tab under Windows.
=2D Fix for finding documentation.
=2D Fix for problem with directory-sync-mode (new in 0.9.70).
=2D Fix for several subsequent CR-characters in input file.


See fix

Heiner

Fix: remove the directory files/ !


Heiner

--Boundary-00=_mBtUACmw8fTiN7D
Content-Type: text/x-diff;
  charset="iso-8859-1";
  name="diff_kdiff3"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="diff_kdiff3"



--Boundary-00=_mBtUACmw8fTiN7D----5PZLG5Tos0QP4I3kE0mdfrJCOifgeuiYxOLJI44AvFxGK2FQ
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ubd ../../textproc/kdiff3/Makefile ./Makefile
--- ../../textproc/kdiff3/Makefile	Wed Feb  4 06:09:14 2004
+++ ./Makefile	Sat Mar 13 10:01:51 2004
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	kdiff3
-PORTVERSION=	0.9.70
-PORTREVISION=	1
+PORTVERSION=	0.9.83
 CATEGORIES=	textproc kde
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -19,6 +18,14 @@
 
 USE_KDELIBS_VER=	3
 GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+
+MAN1=	kdiff3.1
+
+pre-configure:
+.for i in config.h.in Makefile.in
+	${TOUCH} ${WRKSRC}/${i}
+.endfor
 
 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/x11/kde3/Makefile.kde"
diff -ubd ../../textproc/kdiff3/distinfo ./distinfo
--- ../../textproc/kdiff3/distinfo	Sun Oct  5 12:33:28 2003
+++ ./distinfo	Sat Mar 13 09:49:27 2004
@@ -1 +1 @@
-MD5 (kdiff3-0.9.70.tar.gz) = 17dba67818b61c5c51dfe6163c2d44d2
+MD5 (kdiff3-0.9.83.tar.gz) = 075a9555bada43f06a483f973928a5f5
Only in ../../textproc/kdiff3/: files
diff -ubd ../../textproc/kdiff3/pkg-descr ./pkg-descr
--- ../../textproc/kdiff3/pkg-descr	Tue Apr  8 07:53:56 2003
+++ ./pkg-descr	Sat Mar 13 09:56:55 2004
@@ -3,7 +3,8 @@
     * compares two or three text input files,
     * shows the differences line by line and character by character (!),
     * provides an automatic merge-facility and
-    * an integrated editor for comfortable solving of merge-conflicts
+    * an integrated editor for comfortable solving of merge-conflicts,
+    * supports KIO on KDE (allows accessing ftp, sftp, fish, smb etc.),
     * and has an intuitive graphical user interface,
     * and it can also compare and merge directories!
 
diff -ubd ../../textproc/kdiff3/pkg-plist ./pkg-plist
--- ../../textproc/kdiff3/pkg-plist	Sun Oct  5 12:33:28 2003
+++ ./pkg-plist	Sat Mar 13 10:02:15 2004
@@ -4,27 +4,128 @@
 share/applnk/Development/kdiff3.desktop
 share/apps/kdiff3/kdiff3_shell.rc
 share/apps/kdiff3part/kdiff3_part.rc
+share/doc/HTML/da/kdiff3/common
+share/doc/HTML/da/kdiff3/dirbrowser.png
+share/doc/HTML/da/kdiff3/dirmergebig.png
+share/doc/HTML/da/kdiff3/index.cache.bz2
+share/doc/HTML/da/kdiff3/index.docbook
+share/doc/HTML/da/kdiff3/iteminfo.png
+share/doc/HTML/da/kdiff3/letter_by_letter.png
+share/doc/HTML/da/kdiff3/merge_current.png
+share/doc/HTML/da/kdiff3/new.png
+share/doc/HTML/da/kdiff3/open_dialog.png
+share/doc/HTML/da/kdiff3/screenshot_diff.png
+share/doc/HTML/da/kdiff3/screenshot_merge.png
+share/doc/HTML/da/kdiff3/triple_diff.png
+share/doc/HTML/da/kdiff3/white_space.png
 share/doc/HTML/en/kdiff3/common
+share/doc/HTML/en/kdiff3/compilation.html
+share/doc/HTML/en/kdiff3/credits.html
 share/doc/HTML/en/kdiff3/dirbrowser.png
+share/doc/HTML/en/kdiff3/dirmerge.html
 share/doc/HTML/en/kdiff3/dirmergebig.png
+share/doc/HTML/en/kdiff3/dirmergeoptions.html
+share/doc/HTML/en/kdiff3/dirmergevisible.html
+share/doc/HTML/en/kdiff3/documentation.html
+share/doc/HTML/en/kdiff3/dothemerge.html
+share/doc/HTML/en/kdiff3/faq.html
+share/doc/HTML/en/kdiff3/features.html
+share/doc/HTML/en/kdiff3/find.html
 share/doc/HTML/en/kdiff3/index.cache.bz2
 share/doc/HTML/en/kdiff3/index.docbook
+share/doc/HTML/en/kdiff3/index.html
+share/doc/HTML/en/kdiff3/installation.html
+share/doc/HTML/en/kdiff3/interpretinginformation.html
+share/doc/HTML/en/kdiff3/introduction.html
 share/doc/HTML/en/kdiff3/iteminfo.png
+share/doc/HTML/en/kdiff3/kdiff3.1
+share/doc/HTML/en/kdiff3/kpart.html
 share/doc/HTML/en/kdiff3/letter_by_letter.png
 share/doc/HTML/en/kdiff3/merge_current.png
+share/doc/HTML/en/kdiff3/merging.html
+share/doc/HTML/en/kdiff3/misc.html
+share/doc/HTML/en/kdiff3/navigation.html
 share/doc/HTML/en/kdiff3/new.png
 share/doc/HTML/en/kdiff3/open_dialog.png
+share/doc/HTML/en/kdiff3/opendialog.html
+share/doc/HTML/en/kdiff3/options.html
+share/doc/HTML/en/kdiff3/other.html
+share/doc/HTML/en/kdiff3/pasteinput.html
+share/doc/HTML/en/kdiff3/requirements.html
+share/doc/HTML/en/kdiff3/saving.html
 share/doc/HTML/en/kdiff3/screenshot_diff.png
 share/doc/HTML/en/kdiff3/screenshot_merge.png
+share/doc/HTML/en/kdiff3/screenshots.html
+share/doc/HTML/en/kdiff3/selections.html
+share/doc/HTML/en/kdiff3/startingdirmerge.html
 share/doc/HTML/en/kdiff3/triple_diff.png
 share/doc/HTML/en/kdiff3/white_space.png
+share/doc/HTML/et/kdiff3/common
+share/doc/HTML/et/kdiff3/dirbrowser.png
+share/doc/HTML/et/kdiff3/dirmergebig.png
+share/doc/HTML/et/kdiff3/index.cache.bz2
+share/doc/HTML/et/kdiff3/index.docbook
+share/doc/HTML/et/kdiff3/iteminfo.png
+share/doc/HTML/et/kdiff3/letter_by_letter.png
+share/doc/HTML/et/kdiff3/merge_current.png
+share/doc/HTML/et/kdiff3/new.png
+share/doc/HTML/et/kdiff3/open_dialog.png
+share/doc/HTML/et/kdiff3/screenshot_diff.png
+share/doc/HTML/et/kdiff3/screenshot_merge.png
+share/doc/HTML/et/kdiff3/triple_diff.png
+share/doc/HTML/et/kdiff3/white_space.png
+share/doc/HTML/it/kdiff3/common
+share/doc/HTML/it/kdiff3/dirbrowser.png
+share/doc/HTML/it/kdiff3/dirmergebig.png
+share/doc/HTML/it/kdiff3/index.cache.bz2
+share/doc/HTML/it/kdiff3/index.docbook
+share/doc/HTML/it/kdiff3/iteminfo.png
+share/doc/HTML/it/kdiff3/letter_by_letter.png
+share/doc/HTML/it/kdiff3/merge_current.png
+share/doc/HTML/it/kdiff3/new.png
+share/doc/HTML/it/kdiff3/open_dialog.png
+share/doc/HTML/it/kdiff3/screenshot_diff.png
+share/doc/HTML/it/kdiff3/screenshot_merge.png
+share/doc/HTML/it/kdiff3/triple_diff.png
+share/doc/HTML/it/kdiff3/white_space.png
+share/doc/HTML/kdiff3/README
+share/doc/HTML/sv/kdiff3/common
+share/doc/HTML/sv/kdiff3/dirbrowser.png
+share/doc/HTML/sv/kdiff3/dirmergebig.png
+share/doc/HTML/sv/kdiff3/index.cache.bz2
+share/doc/HTML/sv/kdiff3/index.docbook
+share/doc/HTML/sv/kdiff3/iteminfo.png
+share/doc/HTML/sv/kdiff3/letter_by_letter.png
+share/doc/HTML/sv/kdiff3/merge_current.png
+share/doc/HTML/sv/kdiff3/new.png
+share/doc/HTML/sv/kdiff3/open_dialog.png
+share/doc/HTML/sv/kdiff3/screenshot_diff.png
+share/doc/HTML/sv/kdiff3/screenshot_merge.png
+share/doc/HTML/sv/kdiff3/triple_diff.png
+share/doc/HTML/sv/kdiff3/white_space.png
 share/icons/hicolor/16x16/apps/kdiff3.png
 share/icons/hicolor/32x32/apps/kdiff3.png
 share/icons/locolor/16x16/apps/kdiff3.png
 share/icons/locolor/32x32/apps/kdiff3.png
-share/nls/POSIX
-share/nls/en_US.US-ASCII
+share/locale/da/LC_MESSAGES/kdiff3.mo
+share/locale/de/LC_MESSAGES/kdiff3.mo
+share/locale/en_GB/LC_MESSAGES/kdiff3.mo
+share/locale/es/LC_MESSAGES/kdiff3.mo
+share/locale/et/LC_MESSAGES/kdiff3.mo
+share/locale/fr/LC_MESSAGES/kdiff3.mo
+share/locale/hu/LC_MESSAGES/kdiff3.mo
+share/locale/it/LC_MESSAGES/kdiff3.mo
+share/locale/pt/LC_MESSAGES/kdiff3.mo
+share/locale/pt_BR/LC_MESSAGES/kdiff3.mo
+share/locale/ru/LC_MESSAGES/kdiff3.mo
+share/locale/sr/LC_MESSAGES/kdiff3.mo
+share/locale/sv/LC_MESSAGES/kdiff3.mo
 share/services/kdiff3part.desktop
+@dirrm share/doc/HTML/sv/kdiff3
+@dirrm share/doc/HTML/kdiff3
+@dirrm share/doc/HTML/it/kdiff3
+@dirrm share/doc/HTML/et/kdiff3
 @dirrm share/doc/HTML/en/kdiff3
+@dirrm share/doc/HTML/da/kdiff3
 @dirrm share/apps/kdiff3part
 @dirrm share/apps/kdiff3
Comment 1 Tilman Keskinoz freebsd_committer 2004-03-18 17:03:12 UTC
State Changed
From-To: open->feedback

Does not  patch: 

===>  Applying FreeBSD patches for kdiff3-0.9.83 
1 out of 1 hunks failed--saving rejects to src/directorymergewindow.cpp.rej 
Comment 2 Tilman Keskinoz freebsd_committer 2004-03-19 08:51:01 UTC
State Changed
From-To: feedback->closed

committed, thanks